---
updatedAt: 2026-03-25T09:54:05.000Z
agentTools:
  projectIndex: https://docs.ol-hub.com/llms.txt
---

# delete module by name

The **delete module by name** API sends a DELETE request to remove a module.

**Prerequisites**

* The caller must provide a module **name**.

**Authorization**

* API key (via the `X-API-KEY` header).

### Parameters

<Accordion title="Path Parameters">
  | Field name | Description | Format |
  | :--------- | :---------- | :----- |
  | name       | Module name | String |
</Accordion>

### Examples

<Tabs>
  <Tab />

  <Tab />
</Tabs>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "public-apis-backend"
  },
  "servers": [
    {
      "url": "https://api.ol-hub.com/backend"
    }
  ],
  "paths": {
    "/api/v1/modules/{name}/delete-by-name": {
      "delete": {
        "description": "",
        "responses": {
          "204": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "examples": {
                  "No Content": {
                    "summary": "No Content",
                    "value": "{}"
                  }
                }
              }
            },
            "description": "No Content"
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "name",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "security": [
          {
            "x-api-key": []
          }
        ],
        "operationId": "delete_api-v1-modules-name-delete-by-name"
      }
    }
  },
  "components": {
    "securitySchemes": {
      "x-api-key": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```